function OnPlayerSpawned( player_entity ) -- This runs when player entity has been created
	-- random loadout compatibility fix
	if tonumber(StatsGetValue("playtime")) < 1 then
		ComponentSetValue( EntityGetFirstComponent( player_entity, "SpriteComponent" ), "image_file", "data/enemies_gfx/player.xml" )
		ComponentSetValue( EntityGetFirstComponent( player_entity, "DamageModelComponent" ), "ragdoll_filenames_file", "data/ragdolls/player/filenames.txt" )
	end
	
	-- Remove cape and spawn/respawn custom one
	local plyChildEnt = EntityGetAllChildren( player_entity )
	if ( plyChildEnt ~= nil ) then
		for i,childEntity in ipairs( plyChildEnt ) do
			if ( EntityGetName( childEntity ) == "cape" ) then
				EntityKill( childEntity )
				break
			end
		end
	end
	
	EntitySetComponentsWithTagEnabled( player_entity, "jetpack", 1 )
	if( nil == EntityGetFirstComponent( player_entity, "ParticleEmitterComponent", "nanoha_pt" ) ) then
		-- Remove old particles
		for i,compo in ipairs( {"ParticleEmitterComponent", "SpriteParticleEmitterComponent"} ) do
			while( compo ~= nil ) do
				local ptEmit = EntityGetFirstComponent( player_entity, compo, "jetpack" )
				if ( ptEmit == nil ) then break end
				EntityRemoveComponent( player_entity, ptEmit )
			end
		end
		-- Create new particles start
		local ptEmit1 = EntityAddComponent( player_entity, "ParticleEmitterComponent",
		{
			_tags="jetpack,nanoha_pt",
			emitted_material_name="plasma_fading_pink",
			x_pos_offset_min="-5",
			x_pos_offset_max="5",
			y_pos_offset_min="-5",
			y_pos_offset_max="5",
			x_vel_min="-8",
			x_vel_max="8",
			y_vel_min="-8",
			y_vel_max="8",
			count_min="2",
			count_max="5",
			attractor_force="0",
			lifetime_min="0.0",
			lifetime_max="7",
			create_real_particles="0",
			emit_cosmetic_particles="1",
			fade_based_on_lifetime="1",
			draw_as_long="1",
			emission_interval_min_frames="5",
			emission_interval_max_frames="5",
			is_trail="0",
			trail_gap="0.0",
			airflow_force="1.051",
			airflow_time="1.01",
			airflow_scale="0.05",
			is_emitting="1"
		} )
		local ptx, pty = ComponentGetValueVector2( ptEmit1, "gravity" )
		local amn, amx = ComponentGetValueVector2( ptEmit1, "area_circle_radius" )
		pty = "0.0"
		amx = "0"
		ComponentSetValueVector2( ptEmit1, "gravity", ptx, pty )
		ComponentSetValueVector2( ptEmit1, "offset", "-2", "2" )
		ComponentSetValueVector2( ptEmit1, "area_circle_radius", amn, amx )
		-- Create new particles end
	end
end
